Summary: Pam module to cache login credentials
Name: pam_ccreds
Version: 1
Release: 3
License: GPL
Group: System Environment/Base
Source0: %{name}-%{version}.tgz
# automake16 is needed because the tarball is broken (too old `missing'
# and aclocal.m4 older than configure.in)
BuildPrereq: automake16 db4-devel openssl pam-devel
Requires: db4 pam
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%define docdir /usr/share/doc/%{name}-%{version}-%{release}

%description
The pam_ccreds module provides a mechanism for caching
credentials when authenticating against a network
authentication service, so that authentication can still
proceed when the service is down. Note at present no
mechanism is provided for caching _authorization_ 
information, i.e. whether you are allowed to login once
authenticated.

%prep
%setup -q

%build
./configure
make

%Install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT
# Install the documentation files
install -m755 -d $RPM_BUILD_ROOT%{docdir}
install -m644 $RPM_BUILD_DIR/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}/README           $RPM_BUILD_ROOT%{docdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/lib/security/pam_ccreds.so
%doc %{docdir}

%changelog
* Tue Oct 12 2004 Miloslav Trmac <mitr@redhat.com> pam_ccreds-1-3
- BuildRequire: automake16, openssl (from Maxim Dzumanenko, #134674)

* Wed Sep  1 2004 John Dennis <jdennis@redhat.com> pam_ccreds-1-2
- change install dir from /%{_lib}/security to /lib/security

* Sun Jun 13 2004 John Dennis <jdennis@redhat.com> ccreds-1
- Initial build.


